#[derive(Clone, Debug)]
pub struct Store;

impl Store {
    pub fn new() -> Self {
        Self {}
    }

    pub fn list(&self) -> Vec<String> {
        Vec::new()
    }
}

#[cfg(test)]
mod storage {
    use super::*;

    #[test]
    fn create_new() {
        let store = Store::new();
        let expected: Vec<String> = Vec::new();
        assert_eq!(store.list(), expected);
    }
}
